Subject: bug#44020: 28.0.50; Prefer selection of colour emoji fonts?

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Oct 2020 05:35:39 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 20 Oct 2020 00:00:35 +0200
> 
> > And what version of Noto Color Emoji do you have?
> 
> v2018-04-24-pistol-update
> 
> > And finally, could you step through the code shown by Robert and tell
> > whether the Noto Color Emoji's average_width you get is also zero or
> > non-zero?
> 
> I started emacs -Q in gdb, evaluated the above two set-fontset-font
> sexps, put a breakpoint on font_open_entity, and typed `M-x 8 RET
> GRINNING FACE RET' and gdb took control, then I stepped through the
> function until gdb output `if (font->average_width > 0 && font->height >
> 0)' and then I entered `p font->average_width' and gdb output $1 = 16.
> Did I do this right and does that answer your question?  If not, please
> advise.

Yes, that's it.  I wonder why Robert gets zero, perhaps a different
version of the font?